Bug 113380 - UI: Media Player Dialog: Buttons overlapping
Summary: UI: Media Player Dialog: Buttons overlapping
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.0.1 target:5.4.5
Keywords:
Depends on:
Blocks: Media-Player-Dialog
  Show dependency treegraph
 
Reported: 2017-10-23 15:03 UTC by Hiunn-hué
Modified: 2017-12-04 14:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot: buttons overlapping (22.22 KB, image/png)
2017-10-23 15:05 UTC, Hiunn-hué
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hiunn-hué 2017-10-23 15:03:04 UTC
Description:
Buttons overlap when the dialog window is too small. Please see attached PNG file.

Steps to Reproduce:
  1. Open Impress; click Tool > Media Player
  2. Resize the window to smaller


Actual Results:  
Buttons overlap each other.

Expected Results:
Buttons do not overlap.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/61.0.3163.100 Chrome/61.0.3163.100 Safari/537.36
Comment 1 Hiunn-hué 2017-10-23 15:05:04 UTC
Created attachment 137236 [details]
screenshot: buttons overlapping
Comment 2 Xisco Faulí 2017-10-25 11:02:38 UTC
I recall a similar issue for this, but I can't find it now.

Reproduced in

Version: 6.0.0.0.alpha1+
Build ID: 43d6b11a5c1dda0cc2c1e06c768eece25051a56c
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and 

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

I guess we should set a min width for this dialog...
Comment 3 Commit Notification 2017-12-04 08:59:15 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2ec30240f7a9889e8e97b798bd862be160b47bc

tdf#113380: if the player doesn't exist,...

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-12-04 11:13:13 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ea28efc864b0b064512f2049a9acd82aeaae808&h=libreoffice-6-0

tdf#113380: if the player doesn't exist,...

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-12-04 14:52:38 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2206e05974d8bda94d0bfee5c611d5e6f767e03c&h=libreoffice-5-4

tdf#113380: if the player doesn't exist,...

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.